# frozen_string_literal: true

require_relative '../../lib/discord_helper'

# rubocop:disable Layout/LineLength
RSpec.describe DiscordHelper do
  let(:concrete_class) do
    Class.new do
      include DiscordHelper
    end.new
  end

  describe '#break_string' do
    context 'when string can be split on new lines' do
      let(:string) do
        <<~EOSTRING
          :heart: :tada: Community Contribution Appreciation :tada: :heart:
          We are striving toward 1000 unique monthly wider community contributors and appreciate every effort from the community towards this goal.
          If you have any ideas/feedback/concerns please feel free to discuss them here!

          Thank you to all 50 wider community members who **AUTHORED** merge requests that were merged from 2023-10-09 to 2023-10-16.
          There were a total of 84 community contributions!

          Top authors (3+ merge requests :rocket:)
          <@66172619663251198765> (`@tavu`), <@86661138447654626469> (`@meedoo`), Eric Nelson (`@quinu`), Gregory Ruiz (`@babblestorm`), Lisa Gutierrez (`@twitterwire`), Mary Gutierrez (`@skidoo`), Ryan Mitchell (`@trudeo`)

          Regular authors (2 merge requests!)
          <@36936833468581622349> (`@photofeed`), <@78449464251759242513> (`@oloo`), Victor Hunter (`@ainyx`), Benjamin Stone (`@edgetag`), Shawn Schmidt (`@kwilith`), Marilyn Flores (`@brainlounge`), Jane Clark (`@bluejam`), Donna Medina (`@mynte`)

          Additional authors (1 merge request)
          <@42962552138625657626> (`@ooba`), <@36258998472257941621> (`@zoomzone`), <@71473951135719193882> (`@lajo`), <@46519494868857621284> (`@thoughtstorm`), <@29525563995641348971> (`@yakidoo`), Harry Gardner (`@einti`), Arthur Stevens (`@roombo`), Roy Ramirez (`@tagfeed`), Jack George (`@topicstorm`), Kenneth Duncan (`@podcat`), Betty Oliver (`@youspan`), Philip Roberts (`@youfeed`), Scott Green (`@innotype`), Justin Grant (`@voolia`), Shawn Hansen (`@realpoint`), Henry Clark (`@innotype`), Robin Cox (`@tagchat`), Elizabeth Kennedy (`@voolia`), Dennis Sanders (`@edgeblab`), Katherine Day (`@skyba`), Mark Montgomery (`@dynabox`), Anne Moreno (`@oba`), Dorothy Myers (`@eare`), Mark Gonzales (`@livetube`), Kathy Boyd (`@twiyo`), Lisa Kennedy (`@yambee`), Pamela Fernandez (`@thoughtstorm`), Walter Carter (`@jabberbean`), Ann Banks (`@feedspan`), Anna Gonzales (`@twinder`), Phyllis Sanders (`@ntag`), Shawn Perkins (`@tagopia`), Gerald Rogers (`@vinder`), Andrea Rodriguez (`@jamia`), Johnny Harrison (`@buzzbean`)

          ---
          Additionally, thank you to all 67 wider community members who participated/reviewed _other_ merge requests, merged from 2023-10-09 to 2023-10-16.

          Top performers (3+ interactions :rocket:)
          <@88817813594193324588> (`@photolist`), <@85896482885884456318> (`@gabcube`), <@34671351312581857279> (`@linkbridge`), <@27952836635396233748> (`@digitube`), Tina Williamson (`@jabberstorm`), Helen Watson (`@skilith`), Eric Wells (`@youspan`), Howard Mason (`@linklinks`), Gerald Romero (`@fanoodle`), Edward Sanchez (`@buzzshare`), Carolyn Ortiz (`@myworks`), Alan Reid (`@topiczoom`), Joe Morrison (`@riffwire`), Lois Ross (`@jamia`)

          High performers (2 interactions!)
          Patricia Chavez (`@kayveo`), Barbara Fuller (`@browsedrive`), Annie Rivera (`@jamia`), Russell Robinson (`@aibox`), Roy Daniels (`@abatz`)

          Additional contributors (1 interaction)
          <@89756482861399241436> (`@voomm`), <@25456341111852617612> (`@fiveclub`), <@46396624429358395624> (`@roomm`), <@41988178596192287352> (`@wordtune`), <@42135382484567449581> (`@trudoo`), <@94193817697339744249> (`@bubblemix`), <@26492418692175878561> (`@feedmix`), Linda Butler (`@quinu`), Douglas Dunn (`@devify`), Albert Bishop (`@jayo`), Shawn Mills (`@fiveclub`), Eric Cunningham (`@jaloo`), Rachel Bell (`@topiczoom`), Phillip Garcia (`@quinu`), John Wilson (`@riffpedia`), Ronald Robertson (`@photobug`), Jennifer Carroll (`@buzzdog`), Rebecca Hunt (`@feedfish`), Kathleen Barnes (`@realbuzz`), Kathleen Rogers (`@youopia`), Jeffrey Brooks (`@dablist`), Earl Price (`@livez`), Theresa Long (`@jaxnation`), Angela Wright (`@avamba`), Brandon Miller (`@youbridge`), Tammy Shaw (`@meevee`), Helen Harrison (`@tagcat`), Rose Little (`@dabtype`), Helen Burton (`@twitterlist`), Justin Ruiz (`@devpulse`), Henry Hunter (`@mymm`), Dorothy Lane (`@camido`), Carl Hughes (`@meezzy`), James Mitchell (`@gabtune`), Helen Jacobs (`@skaboo`), Randy Peters (`@yodo`), Tammy Rodriguez (`@yotz`), Jennifer Wright (`@minyx`), Gloria Harper (`@skalith`), Sandra Ray (`@zoombeat`), Jonathan Thomas (`@quamba`), Tina Wright (`@flipbug`), Harold Gomez (`@podcat`), Ann Richardson (`@skaboo`), Bobby Long (`@eimbee`), Timothy Simpson (`@eire`), Earl Chapman (`@youfeed`), Dennis Cox (`@bluezoom`)
        EOSTRING
      end

      it 'splits on new lines' do
        result = concrete_class.break_string(string)

        expect(result).to eq(
          [
            ":heart: :tada: Community Contribution Appreciation :tada: :heart:\nWe are striving toward 1000 unique monthly wider community contributors and appreciate every effort from the community towards this goal.\nIf you have any ideas/feedback/concerns please feel free to discuss them here!\n\nThank you to all 50 wider community members who **AUTHORED** merge requests that were merged from 2023-10-09 to 2023-10-16.\nThere were a total of 84 community contributions!\n\nTop authors (3+ merge requests :rocket:)\n<@66172619663251198765> (`@tavu`), <@86661138447654626469> (`@meedoo`), Eric Nelson (`@quinu`), Gregory Ruiz (`@babblestorm`), Lisa Gutierrez (`@twitterwire`), Mary Gutierrez (`@skidoo`), Ryan Mitchell (`@trudeo`)\n\nRegular authors (2 merge requests!)\n<@36936833468581622349> (`@photofeed`), <@78449464251759242513> (`@oloo`), Victor Hunter (`@ainyx`), Benjamin Stone (`@edgetag`), Shawn Schmidt (`@kwilith`), Marilyn Flores (`@brainlounge`), Jane Clark (`@bluejam`), Donna Medina (`@mynte`)\n\nAdditional authors (1 merge request)", "<@42962552138625657626> (`@ooba`), <@36258998472257941621> (`@zoomzone`), <@71473951135719193882> (`@lajo`), <@46519494868857621284> (`@thoughtstorm`), <@29525563995641348971> (`@yakidoo`), Harry Gardner (`@einti`), Arthur Stevens (`@roombo`), Roy Ramirez (`@tagfeed`), Jack George (`@topicstorm`), Kenneth Duncan (`@podcat`), Betty Oliver (`@youspan`), Philip Roberts (`@youfeed`), Scott Green (`@innotype`), Justin Grant (`@voolia`), Shawn Hansen (`@realpoint`), Henry Clark (`@innotype`), Robin Cox (`@tagchat`), Elizabeth Kennedy (`@voolia`), Dennis Sanders (`@edgeblab`), Katherine Day (`@skyba`), Mark Montgomery (`@dynabox`), Anne Moreno (`@oba`), Dorothy Myers (`@eare`), Mark Gonzales (`@livetube`), Kathy Boyd (`@twiyo`), Lisa Kennedy (`@yambee`), Pamela Fernandez (`@thoughtstorm`), Walter Carter (`@jabberbean`), Ann Banks (`@feedspan`), Anna Gonzales (`@twinder`), Phyllis Sanders (`@ntag`), Shawn Perkins (`@tagopia`), Gerald Rogers (`@vinder`), Andrea Rodriguez (`@jamia`), Johnny Harrison (`@buzzbean`)\n\n---\nAdditionally, thank you to all 67 wider community members who participated/reviewed _other_ merge requests, merged from 2023-10-09 to 2023-10-16.\n\nTop performers (3+ interactions :rocket:)\n<@88817813594193324588> (`@photolist`), <@85896482885884456318> (`@gabcube`), <@34671351312581857279> (`@linkbridge`), <@27952836635396233748> (`@digitube`), Tina Williamson (`@jabberstorm`), Helen Watson (`@skilith`), Eric Wells (`@youspan`), Howard Mason (`@linklinks`), Gerald Romero (`@fanoodle`), Edward Sanchez (`@buzzshare`), Carolyn Ortiz (`@myworks`), Alan Reid (`@topiczoom`), Joe Morrison (`@riffwire`), Lois Ross (`@jamia`)\n\nHigh performers (2 interactions!)\nPatricia Chavez (`@kayveo`), Barbara Fuller (`@browsedrive`), Annie Rivera (`@jamia`), Russell Robinson (`@aibox`), Roy Daniels (`@abatz`)\n\nAdditional contributors (1 interaction)", '<@89756482861399241436> (`@voomm`), <@25456341111852617612> (`@fiveclub`), <@46396624429358395624> (`@roomm`), <@41988178596192287352> (`@wordtune`), <@42135382484567449581> (`@trudoo`), <@94193817697339744249> (`@bubblemix`), <@26492418692175878561> (`@feedmix`), Linda Butler (`@quinu`), Douglas Dunn (`@devify`), Albert Bishop (`@jayo`), Shawn Mills (`@fiveclub`), Eric Cunningham (`@jaloo`), Rachel Bell (`@topiczoom`), Phillip Garcia (`@quinu`), John Wilson (`@riffpedia`), Ronald Robertson (`@photobug`), Jennifer Carroll (`@buzzdog`), Rebecca Hunt (`@feedfish`), Kathleen Barnes (`@realbuzz`), Kathleen Rogers (`@youopia`), Jeffrey Brooks (`@dablist`), Earl Price (`@livez`), Theresa Long (`@jaxnation`), Angela Wright (`@avamba`), Brandon Miller (`@youbridge`), Tammy Shaw (`@meevee`), Helen Harrison (`@tagcat`), Rose Little (`@dabtype`), Helen Burton (`@twitterlist`), Justin Ruiz (`@devpulse`), Henry Hunter (`@mymm`), Dorothy Lane (`@camido`), Carl Hughes (`@meezzy`), James Mitchell (`@gabtune`), Helen Jacobs (`@skaboo`), Randy Peters (`@yodo`), Tammy Rodriguez (`@yotz`), Jennifer Wright (`@minyx`), Gloria Harper (`@skalith`), Sandra Ray (`@zoombeat`), Jonathan Thomas (`@quamba`), Tina Wright (`@flipbug`), Harold Gomez (`@podcat`), Ann Richardson (`@skaboo`), Bobby Long (`@eimbee`), Timothy Simpson (`@eire`), Earl Chapman (`@youfeed`), Dennis Cox (`@bluezoom`)'
          ]
        )
      end
    end

    context 'when string can be split on spaces' do
      let(:string) do
        <<~EOSTRING
          :heart: :tada: Community Contribution Appreciation :tada: :heart:
          We are striving toward 1000 unique monthly wider community contributors and appreciate every effort from the community towards this goal.
          If you have any ideas/feedback/concerns please feel free to discuss them here!

          Thank you to all 50 wider community members who **AUTHORED** merge requests that were merged from 2023-10-09 to 2023-10-16.
          There were a total of 84 community contributions!

          Top authors (3+ merge requests :rocket:)
          <@16547511642922956599> (`@oyondu`), <@93499245587267833213> (`@shuffletag`), Gerald Gomez (`@zoovu`), Willie Gomez (`@fivebridge`), Barbara Henry (`@jumpxs`), Wanda Howell (`@midel`), Billy Garcia (`@vimbo`)

          Regular authors (2 merge requests!)
          <@28272846716736577333> (`@wordware`), <@12394477475291577527> (`@zoomzone`), Ernest Fowler (`@meembee`), Diane Powell (`@kamba`), Wayne Robertson (`@linkbridge`), Wanda Palmer (`@gabtune`), Julia Ortiz (`@thoughtstorm`), Ann Morgan (`@brainsphere`)

          Additional authors (1 merge request)
          <@69391338722375733959> (`@divanoodle`), <@42755375846856714392> (`@livetube`), <@51891275528715897374> (`@zoombox`), <@79422685244339775651> (`@youtags`), <@89344883344813344746> (`@trudeo`), Michelle Brooks (`@yodo`), Diane Carroll (`@gabcube`), Heather Hayes (`@tavu`), Paul Gonzales (`@browsetype`), Joshua Medina (`@bubblemix`), Evelyn Anderson (`@bubblemix`), Shirley Young (`@trilia`), Johnny Duncan (`@linklinks`), Frances Lynch (`@plambee`), Jonathan Fields (`@devpulse`), Nicole Carroll (`@flipopia`), Julie Owens (`@jetpulse`), Virginia Daniels (`@linktype`), Samuel Hansen (`@gabvine`), Linda Hawkins (`@topicstorm`), Antonio Burke (`@demivee`), Cheryl Johnston (`@rhynoodle`), Barbara Dunn (`@kanoodle`), Christina Hunt (`@quinu`), Melissa Johnston (`@eimbee`), Donna Kennedy (`@photobug`), Joan Spencer (`@camido`), Linda Warren (`@zooveo`), Jack Adams (`@riffpath`), Patrick Meyer (`@centidel`), Richard Kelly (`@jaloo`), Lois Brooks (`@wordify`), Lisa Hunt (`@jabbertype`), Irene Andrews (`@wordify`), Craig Collins (`@photolist`), <@29186365665873375154> (`@jamia`), <@95381156527164182934> (`@yamia`), <@28511759225336351165> (`@jabbersphere`), <@87452193788782361496> (`@chatterpoint`), <@37655488627289671424> (`@eire`), Julia Riley (`@skinte`), Michael Burke (`@quinu`), Janet Castillo (`@twitterwire`), Dorothy Bowman (`@trilith`), Jerry Rivera (`@vitz`), Anthony Cunningham (`@cogilith`), Cynthia Montgomery (`@thoughtstorm`), Keith Bell (`@realblab`), Paul Brown (`@jabbercube`), Kimberly Henderson (`@agimba`), Samuel Reed (`@reallinks`), James Harper (`@bluezoom`), Edward Garrett (`@izio`), Pamela Hansen (`@kwilith`), Amy White (`@abatz`), Michael Holmes (`@browsetype`), Jose Phillips (`@kwimbee`), Patricia Larson (`@trupe`), Kathryn Rivera (`@viva`), Jimmy Andrews (`@aimbo`), Steven Robinson (`@quatz`), Clarence Riley (`@twitterworks`), Helen Stone (`@fanoodle`), Frances Welch (`@gabcube`), Albert Simpson (`@buzzster`), Jack Webb (`@zoonoodle`), Sarah Cox (`@nlounge`), Ruby Gonzalez (`@wikibox`), Katherine Hill (`@linkbridge`), Phillip Jackson (`@wordpedia`)

          ---
          Additionally, thank you to all 67 wider community members who participated/reviewed _other_ merge requests, merged from 2023-10-09 to 2023-10-16.

          Top performers (3+ interactions :rocket:)
          <@87175783586618829588> (`@cogidoo`), <@55771151573477373437> (`@innotype`), <@24841552984532894652> (`@thoughtworks`), <@22441383468157265412> (`@pixope`), Paul Jackson (`@gigazoom`), Donna Sullivan (`@voonix`), Paula Stephens (`@eire`), Maria Phillips (`@jabbersphere`), Craig Lee (`@omba`), Karen Hill (`@devpoint`), Diane Morales (`@layo`), Tammy Porter (`@livepath`), Joe Howard (`@feedfish`), Carl Morris (`@kazu`)

          High performers (2 interactions!)
          Cynthia Payne (`@realblab`), Gerald Mitchell (`@dynazzy`), Lori Vasquez (`@eidel`), Benjamin Chapman (`@camimbo`), Jacqueline Young (`@zoomcast`)

          Additional contributors (1 interaction)
          <@86993843656793796488> (`@yamia`), <@42922745562863741618> (`@tagchat`), <@37839385236639859729> (`@photofeed`), <@73966253657568722815> (`@feedbug`), <@96743179814667442669> (`@vinte`), <@35452394428977274334> (`@wikido`), <@44398113737493138765> (`@skivee`), Donna Fisher (`@skiba`), Joe Richards (`@zazio`), Robin Hamilton (`@meedoo`), Carol Alexander (`@roombo`), Diane Romero (`@dabtype`), Randy Gonzales (`@skyvu`), Jeffrey Hunter (`@oodoo`), Martha Henry (`@dablist`), Theresa Carpenter (`@browsedrive`), Rachel Greene (`@pixonyx`), Elizabeth Stewart (`@meejo`), Christopher Snyder (`@skipfire`), Richard Shaw (`@kwimbee`), Joyce Spencer (`@wordify`), Julia Hill (`@thoughtstorm`), Eric Hill (`@riffpedia`), Jane Holmes (`@vimbo`), Juan Kennedy (`@zoonoodle`), Joan Wood (`@skinder`), Jonathan Harper (`@skinder`), Adam Kennedy (`@bubblemix`), Norma George (`@gabtune`), Ruth Black (`@linkbridge`), Catherine Hamilton (`@quire`), Michelle Smith (`@feednation`), Carolyn Mitchell (`@miboo`), Rebecca Rose (`@roomm`), Jose Reyes (`@jayo`), John Warren (`@yadel`), Angela Willis (`@miboo`), Roger Johnson (`@buzzbean`), Harold Hughes (`@flashpoint`), Ralph Taylor (`@dabjam`), Thomas Mitchell (`@kimia`), Virginia James (`@jetpulse`), Harold Wheeler (`@tagopia`), Christina Kennedy (`@flashdog`), Cheryl Vasquez (`@avamm`), Andrea Wagner (`@viva`), Marilyn Willis (`@zoomlounge`), Jack Nichols (`@skynoodle`), <@88639337797839287768> (`@dabshots`), <@38285284159189135957> (`@voolia`), <@62558519785729536899> (`@quinu`), <@77152377814923889595> (`@topicware`), <@27349843684757252433> (`@kwimbee`), <@65228848441336633665> (`@innoz`), <@65799152533318329112> (`@dablist`), Bobby Franklin (`@twitterworks`), Nicole Larson (`@buzzdog`), Anthony Webb (`@edgeblab`), Brian King (`@topicblab`), Brian Allen (`@mita`), Brenda Crawford (`@miboo`), Paula Gibson (`@realbuzz`), Katherine Simmons (`@skimia`), Joyce Franklin (`@dazzlesphere`), Ann Morrison (`@quaxo`), Shirley Brown (`@jetwire`), Julia Williams (`@edgeify`), Debra Lee (`@avamm`), Kathleen Daniels (`@thoughtstorm`), Larry Gibson (`@quinu`), Howard Warren (`@skalith`), Kathryn Bell (`@dabvine`), Jerry Ruiz (`@meeveo`), Michelle Palmer (`@cogibox`), Anne Garcia (`@jaxworks`), Brian Rose (`@npath`), Fred Walker (`@aibox`), Walter Black (`@plambee`), Elizabeth Robertson (`@eidel`), Sarah Dean (`@abatz`), Elizabeth Sanchez (`@miboo`), Phillip Morgan (`@vimbo`), Rebecca Graham (`@meedoo`), Thomas Day (`@mita`), Donald Medina (`@janyx`), Joyce Fernandez (`@dabfeed`), Jesse Henry (`@twimm`), Willie Arnold (`@meetz`), Andrew Spencer (`@browsetype`), Benjamin Wilson (`@realbridge`), Joyce Stone (`@tavu`), Laura Knight (`@yotz`), Daniel Sanders (`@voonte`), Anthony Pierce (`@jabberbean`), Kelly Ellis (`@riffwire`), Wayne Warren (`@zoomdog`)
        EOSTRING
      end

      it 'splits on spaces' do
        result = concrete_class.break_string(string)

        expect(result).to eq(
          [
            ":heart: :tada: Community Contribution Appreciation :tada: :heart:\nWe are striving toward 1000 unique monthly wider community contributors and appreciate every effort from the community towards this goal.\nIf you have any ideas/feedback/concerns please feel free to discuss them here!\n\nThank you to all 50 wider community members who **AUTHORED** merge requests that were merged from 2023-10-09 to 2023-10-16.\nThere were a total of 84 community contributions!\n\nTop authors (3+ merge requests :rocket:)\n<@16547511642922956599> (`@oyondu`), <@93499245587267833213> (`@shuffletag`), Gerald Gomez (`@zoovu`), Willie Gomez (`@fivebridge`), Barbara Henry (`@jumpxs`), Wanda Howell (`@midel`), Billy Garcia (`@vimbo`)\n\nRegular authors (2 merge requests!)\n<@28272846716736577333> (`@wordware`), <@12394477475291577527> (`@zoomzone`), Ernest Fowler (`@meembee`), Diane Powell (`@kamba`), Wayne Robertson (`@linkbridge`), Wanda Palmer (`@gabtune`), Julia Ortiz (`@thoughtstorm`), Ann Morgan (`@brainsphere`)\n\nAdditional authors (1 merge request)", '<@69391338722375733959> (`@divanoodle`), <@42755375846856714392> (`@livetube`), <@51891275528715897374> (`@zoombox`), <@79422685244339775651> (`@youtags`), <@89344883344813344746> (`@trudeo`), Michelle Brooks (`@yodo`), Diane Carroll (`@gabcube`), Heather Hayes (`@tavu`), Paul Gonzales (`@browsetype`), Joshua Medina (`@bubblemix`), Evelyn Anderson (`@bubblemix`), Shirley Young (`@trilia`), Johnny Duncan (`@linklinks`), Frances Lynch (`@plambee`), Jonathan Fields (`@devpulse`), Nicole Carroll (`@flipopia`), Julie Owens (`@jetpulse`), Virginia Daniels (`@linktype`), Samuel Hansen (`@gabvine`), Linda Hawkins (`@topicstorm`), Antonio Burke (`@demivee`), Cheryl Johnston (`@rhynoodle`), Barbara Dunn (`@kanoodle`), Christina Hunt (`@quinu`), Melissa Johnston (`@eimbee`), Donna Kennedy (`@photobug`), Joan Spencer (`@camido`), Linda Warren (`@zooveo`), Jack Adams (`@riffpath`), Patrick Meyer (`@centidel`), Richard Kelly (`@jaloo`), Lois Brooks (`@wordify`), Lisa Hunt (`@jabbertype`), Irene Andrews (`@wordify`), Craig Collins (`@photolist`), <@29186365665873375154> (`@jamia`), <@95381156527164182934> (`@yamia`), <@28511759225336351165> (`@jabbersphere`), <@87452193788782361496> (`@chatterpoint`), <@37655488627289671424> (`@eire`), Julia Riley (`@skinte`), Michael Burke (`@quinu`), Janet Castillo (`@twitterwire`), Dorothy Bowman (`@trilith`), Jerry Rivera (`@vitz`), Anthony Cunningham (`@cogilith`), Cynthia Montgomery (`@thoughtstorm`), Keith Bell (`@realblab`), Paul Brown (`@jabbercube`), Kimberly Henderson (`@agimba`), Samuel Reed (`@reallinks`), James Harper (`@bluezoom`), Edward Garrett (`@izio`), Pamela Hansen (`@kwilith`), Amy White (`@abatz`), Michael Holmes (`@browsetype`), Jose Phillips (`@kwimbee`), Patricia Larson (`@trupe`), Kathryn Rivera (`@viva`), Jimmy Andrews (`@aimbo`), Steven Robinson (`@quatz`), Clarence Riley (`@twitterworks`), Helen Stone (`@fanoodle`), Frances Welch (`@gabcube`), Albert Simpson (`@buzzster`), Jack Webb (`@zoonoodle`), Sarah Cox', "(`@nlounge`), Ruby Gonzalez (`@wikibox`), Katherine Hill (`@linkbridge`), Phillip Jackson (`@wordpedia`)\n\n---\nAdditionally, thank you to all 67 wider community members who participated/reviewed _other_ merge requests, merged from 2023-10-09 to 2023-10-16.\n\nTop performers (3+ interactions :rocket:)\n<@87175783586618829588> (`@cogidoo`), <@55771151573477373437> (`@innotype`), <@24841552984532894652> (`@thoughtworks`), <@22441383468157265412> (`@pixope`), Paul Jackson (`@gigazoom`), Donna Sullivan (`@voonix`), Paula Stephens (`@eire`), Maria Phillips (`@jabbersphere`), Craig Lee (`@omba`), Karen Hill (`@devpoint`), Diane Morales (`@layo`), Tammy Porter (`@livepath`), Joe Howard (`@feedfish`), Carl Morris (`@kazu`)\n\nHigh performers (2 interactions!)\nCynthia Payne (`@realblab`), Gerald Mitchell (`@dynazzy`), Lori Vasquez (`@eidel`), Benjamin Chapman (`@camimbo`), Jacqueline Young (`@zoomcast`)\n\nAdditional contributors (1 interaction)", '<@86993843656793796488> (`@yamia`), <@42922745562863741618> (`@tagchat`), <@37839385236639859729> (`@photofeed`), <@73966253657568722815> (`@feedbug`), <@96743179814667442669> (`@vinte`), <@35452394428977274334> (`@wikido`), <@44398113737493138765> (`@skivee`), Donna Fisher (`@skiba`), Joe Richards (`@zazio`), Robin Hamilton (`@meedoo`), Carol Alexander (`@roombo`), Diane Romero (`@dabtype`), Randy Gonzales (`@skyvu`), Jeffrey Hunter (`@oodoo`), Martha Henry (`@dablist`), Theresa Carpenter (`@browsedrive`), Rachel Greene (`@pixonyx`), Elizabeth Stewart (`@meejo`), Christopher Snyder (`@skipfire`), Richard Shaw (`@kwimbee`), Joyce Spencer (`@wordify`), Julia Hill (`@thoughtstorm`), Eric Hill (`@riffpedia`), Jane Holmes (`@vimbo`), Juan Kennedy (`@zoonoodle`), Joan Wood (`@skinder`), Jonathan Harper (`@skinder`), Adam Kennedy (`@bubblemix`), Norma George (`@gabtune`), Ruth Black (`@linkbridge`), Catherine Hamilton (`@quire`), Michelle Smith (`@feednation`), Carolyn Mitchell (`@miboo`), Rebecca Rose (`@roomm`), Jose Reyes (`@jayo`), John Warren (`@yadel`), Angela Willis (`@miboo`), Roger Johnson (`@buzzbean`), Harold Hughes (`@flashpoint`), Ralph Taylor (`@dabjam`), Thomas Mitchell (`@kimia`), Virginia James (`@jetpulse`), Harold Wheeler (`@tagopia`), Christina Kennedy (`@flashdog`), Cheryl Vasquez (`@avamm`), Andrea Wagner (`@viva`), Marilyn Willis (`@zoomlounge`), Jack Nichols (`@skynoodle`), <@88639337797839287768> (`@dabshots`), <@38285284159189135957> (`@voolia`), <@62558519785729536899> (`@quinu`), <@77152377814923889595> (`@topicware`), <@27349843684757252433> (`@kwimbee`), <@65228848441336633665> (`@innoz`), <@65799152533318329112> (`@dablist`), Bobby Franklin (`@twitterworks`), Nicole Larson (`@buzzdog`), Anthony Webb (`@edgeblab`), Brian King (`@topicblab`), Brian Allen (`@mita`), Brenda Crawford (`@miboo`), Paula Gibson (`@realbuzz`), Katherine Simmons (`@skimia`), Joyce Franklin (`@dazzlesphere`), Ann Morrison (`@quaxo`), Shirley Brown (`@jetwire`), Julia', 'Williams (`@edgeify`), Debra Lee (`@avamm`), Kathleen Daniels (`@thoughtstorm`), Larry Gibson (`@quinu`), Howard Warren (`@skalith`), Kathryn Bell (`@dabvine`), Jerry Ruiz (`@meeveo`), Michelle Palmer (`@cogibox`), Anne Garcia (`@jaxworks`), Brian Rose (`@npath`), Fred Walker (`@aibox`), Walter Black (`@plambee`), Elizabeth Robertson (`@eidel`), Sarah Dean (`@abatz`), Elizabeth Sanchez (`@miboo`), Phillip Morgan (`@vimbo`), Rebecca Graham (`@meedoo`), Thomas Day (`@mita`), Donald Medina (`@janyx`), Joyce Fernandez (`@dabfeed`), Jesse Henry (`@twimm`), Willie Arnold (`@meetz`), Andrew Spencer (`@browsetype`), Benjamin Wilson (`@realbridge`), Joyce Stone (`@tavu`), Laura Knight (`@yotz`), Daniel Sanders (`@voonte`), Anthony Pierce (`@jabberbean`), Kelly Ellis (`@riffwire`), Wayne Warren (`@zoomdog`)'
          ]
        )
      end
    end

    context 'when unable to split on new line or space' do
      let(:string) { 'a' * 2001 }

      it 'throws an error' do
        expect { concrete_class.break_string(string) }.to raise_error(StandardError)
      end
    end
  end
end
# rubocop:enable Layout/LineLength
